io.undertow.predicate

## Class RegularExpressionPredicate

- java.lang.Object
- - io.undertow.predicate.RegularExpressionPredicate

All Implemented Interfaces:
  Predicate

    public class RegularExpressionPredicate
    extends Object
    implements Predicate

A predicate that does a regex match against an exchange.

By default this match is done against the relative URI, however it is possible to set it to match against other exchange attributes.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static class` `RegularExpressionPredicate.Builder`

### Field Summary

### Fields inherited from interface io.undertow.predicate.Predicate

`PREDICATE_CONTEXT`

### Constructor Summary

Constructors
Constructor and Description
`RegularExpressionPredicate(String regex, ExchangeAttribute matchAttribute)`
`RegularExpressionPredicate(String regex, ExchangeAttribute matchAttribute, boolean requireFullMatch)`
`RegularExpressionPredicate(String regex, ExchangeAttribute matchAttribute, boolean requireFullMatch, boolean caseSensitive)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `resolve(HttpServerExchange value)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RegularExpressionPredicate

    public RegularExpressionPredicate(String regex,
                                      ExchangeAttribute matchAttribute,
                                      boolean requireFullMatch,
                                      boolean caseSensitive)

#### RegularExpressionPredicate

    public RegularExpressionPredicate(String regex,
                                      ExchangeAttribute matchAttribute,
                                      boolean requireFullMatch)

#### RegularExpressionPredicate

    public RegularExpressionPredicate(String regex,
                                      ExchangeAttribute matchAttribute)

### Method Detail

#### resolve

    public boolean resolve(HttpServerExchange value)

Specified by:
  `resolve` in interface `Predicate`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`